Package fr.gouv.vitam.worker.core.plugin.computeinheritedrules.exception

# Class ComputedInheritedRulesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.worker.core.plugin.computeinheritedrules.exception.ComputedInheritedRulesException

All Implemented Interfaces:
  `Serializable`

public class ComputedInheritedRulesException extends VitamException
ComputedInheritedRulesException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComputedInheritedRulesException(VitamError vitamError, StatusCode statusCode)`
  `ComputedInheritedRulesException(StatusCode statusCode, String message, Throwable cause)`
  `ComputedInheritedRulesException(String message, StatusCode statusCode)`
  `ComputedInheritedRulesException(String message, Throwable cause, StatusCode statusCode)`
  `ComputedInheritedRulesException(Throwable cause, StatusCode statusCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatusCode`
  `getStatusCode()`
  `void`
  `setStatusCode(StatusCode statusCode)`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComputedInheritedRulesException

    public ComputedInheritedRulesException(Throwable cause, StatusCode statusCode)
    Parameters:
      `cause` - associated cause

  - ### ComputedInheritedRulesException

    public ComputedInheritedRulesException(StatusCode statusCode, String message, Throwable cause)

  - ### ComputedInheritedRulesException

    public ComputedInheritedRulesException(String message, Throwable cause, StatusCode statusCode)

  - ### ComputedInheritedRulesException

    public ComputedInheritedRulesException(VitamError vitamError, StatusCode statusCode)

  - ### ComputedInheritedRulesException

    public ComputedInheritedRulesException(String message, StatusCode statusCode)

- ## Method Details

  - ### getStatusCode

    public StatusCode getStatusCode()

  - ### setStatusCode

    public void setStatusCode(StatusCode statusCode)